Package vyatta-webproxy: Squid3 dysfunctional, needs implementation of new squid.conf syntax
Closed, ResolvedPublic

Description

Hi,

when transitioning to Debian Jessie, the version of Squid jumped from 3.1.6 to 3.4.8. The squid.conf syntax is still the same as for Squid 3.1.6. The new Squid proxy will not start with the squid.conf generated by the script /opt/vyatta/sbin/vyatta-update-webproxy.pl and is now dysfunctional.

VyOS 1.1.7
squid3 -- 3.1.6-1.2+squeeze5

VyOS 1.2.0-beta1
squid3 -- 3.4.8-6+deb8u2

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0-beta1
alainlamar updated the task description. (Show Details)Jun 14 2016, 6:43 PM
sbaker added a subscriber: sbaker.Jan 12 2017, 2:38 AM
unixninja92 added a subscriber: unixninja92.EditedFeb 28 2018, 2:14 AM

From my testing, squid seems to be running fine from the squid.conf file. There was an issue with squidGuard config though.
Pull request: https://github.com/vyos/vyatta-webproxy/pull/6

syncer closed this task as Resolved.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc1) board.